<?xml version="1.0" encoding="UTF-8"?>
<Configuration status="warn">
    <Properties>
        <Property name="basePath">/Users/cescobarh/logs/apps/remotelogger/</Property>
    </Properties>
    <Appenders>        
        <RollingFile  name="RollingMyFile" fileName="${basePath}app.log" filePattern="${basePath}backup_app_%d{yyyy-MM-dd HH-mm-ss}.log" ignoreExceptions="false">
            <PatternLayout>
                <Pattern>Time[%d{yyyy-MM-dd HH:mm:ss.SSS}] - Level[%-5level] - Class[%c] - Method[%t] - Line[%L] - Log[%msg]%n</Pattern>
            </PatternLayout>
            <Policies>
                <SizeBasedTriggeringPolicy size="2MB" />
            </Policies>
        </RollingFile>
        <Console name="LogConsole" target="SYSTEM_OUT" ignoreExceptions="false">
            <PatternLayout>
                <Pattern>Time[%d{yyyy-MM-dd HH:mm:ss.SSS}] Level[%-5level] - Class[%c] - Method[%t] - Line[%L] -  Log[%msg]%n</Pattern>
            </PatternLayout>
        </Console>
    </Appenders>
    <Loggers>
        <Root level="trace" additivity="false">
            <AppenderRef ref="LogConsole" level="trace"/>
            <AppenderRef ref="RollingMyFile" level="trace"/>
        </Root>
    </Loggers>
</Configuration>